Bug 6998 - VM request fails when there is no customization task with reference client
: VM request fails when there is no customization task with reference client
Status: RESOLVED FIXED
: Nimbus
Don't know what component to pick
: unspecified
: PC All
: P3 normal
: 2.5
Assigned To:
:
:
:
: 7013
  Show dependency treegraph
 
Reported: 2010-04-14 15:53 by
Modified: 2010-06-28 00:23 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-04-14 15:53:46
When creating a VM without a customization task, the request usually fails.
Here's a transcript from the creation request.

http://pastie.org/920104

The same request with a customization task succeeds.
------- Comment #1 From 2010-06-10 13:57:34 -------
Got a report of same error but from a cloud-client invocation that seems to
have the customization task (ssh.pubkey is in conf) which is different from
patrick's symptoms
------- Comment #2 From 2010-06-28 00:23:34 -------
Here is the issue if anyone is interested.  When there is no customization task
(a rare usage, so you are first to uncover), the service will invoke
"propagate+start" as an optimization.  The state machine is doing the wrong
thing in that case.  The solution for release 2.5 will need to be to just
disable that optimization until it can be fixed for real.

Opening Bug 7063 for the subsequent release

Fix for this bug in master for Nimbus 2.5

http://github.com/nimbusproject/nimbus/compare/fe4cc53...d3679d8